Page MenuHomePhabricator

Explore the different quick links chosen by communities and displayed on Recentchangestext
Closed, ResolvedPublic

Description

As part of T164548: Move links at top of Recent Changes to a Quick Links menu I'm investigating the links used by the most read communities on top of RecentChangesText. The goal is to see how they are displayed, which links are the most used and help to potentially convert them as a dropdown menu.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 27 2017, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Trizek-WMF triaged this task as Normal priority.Apr 27 2017, 2:57 PM
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF updated the task description. (Show Details)Apr 27 2017, 2:59 PM
Trizek-WMF updated the task description. (Show Details)May 5 2017, 10:43 AM

I've investigated half of Mediawiki:Recentchangestext listed on the document, and most links there are not related to Recent changes or activating an RC-related option.

Trizek-WMF raised the priority of this task from Normal to High.May 9 2017, 10:11 AM
Trizek-WMF closed this task as Resolved.Jun 6 2017, 6:50 PM

Initial exploration

I've explored 18 wikis and listed the most used links. I've grouped by possible reuses.

Create shortcuts as default bookmarks

  • New pages (14 wiki have it)
  • Newbies' contributions (12)
  • New files (9)
  • IP contributions (7)
  • FlaggedRevisions (all wikis which use this tool)

Consider to have shortcuts to other RC pages somewhere

  • Other projects RCs (10) - maybe in the sidebar.
  • Features articles and good articles (5)
  • Biographies of Living People (4)

Consider to have shortcuts to other wiki pages

  • Article for deletion (15)
  • Request for admins (10)
  • Village pump (10)
  • Report copyvio (8)

Are those links used?

Based on data from T166623: Actually get the numbers for how frequently RC Page related links are clicked. :

  • some clicked links are related to RCs and have to be added as default bookmarks:
    • IP contributions
    • newcomers contributions
    • new pages
    • mobile contributions
    • FlaggedRevision pending pages
  • All other links belong to other existing or to-be-created products:
    • community board (request for sysop role, last news from the community...)
    • user dashboards (link to last updates on VP, to AfD...)

Conclusion

Qgil awarded a token.Jun 7 2017, 4:51 PM